## org.eclipse.emf.ecore.change.util
Class ChangeSwitch<T>

    java.lang.Object
      org.eclipse.emf.ecore.change.util.ChangeSwitch<T>

    public class ChangeSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `ChangePackage`

Field Summary
`protected static ChangePackage` `modelPackage` The cached model package

Constructor Summary
`ChangeSwitch()` Creates an instance of the switch

Method Summary
`T` `caseChangeDescription(ChangeDescription object)` Returns the result of interpreting the object as an instance of 'Description'
`T` `caseEObjectToChangesMapEntry(java.util.Map.Entry<EObject,EList<FeatureChange>> object)` Returns the result of interpreting the object as an instance of 'EObject To Changes Map Entry'
`T` `caseFeatureChange(FeatureChange object)` Returns the result of interpreting the object as an instance of 'Feature Change'
`T` `caseFeatureMapEntry(FeatureMapEntry object)` Returns the result of interpreting the object as an instance of 'Feature Map Entry'
`T` `caseListChange(ListChange object)` Returns the result of interpreting the object as an instance of 'List Change'
`T` `caseResourceChange(ResourceChange object)` Returns the result of interpreting the object as an instance of 'Resource Change'
`T` `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
`protected T` `doSwitch(EClass theEClass, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`T` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected T` `doSwitch(int classifierID, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static ChangePackage modelPackage

  The cached model package

Constructor Detail

### ChangeSwitch

    public ChangeSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(EClass theEClass,
                         EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(int classifierID,
                         EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseChangeDescription

    public T caseChangeDescription(ChangeDescription object)

  Returns the result of interpreting the object as an instance of 'Description'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Description'.
  See Also:
    `doSwitch(EObject)`

### caseEObjectToChangesMapEntry

    public T caseEObjectToChangesMapEntry(java.util.Map.Entry<EObject,EList<FeatureChange>> object)

  Returns the result of interpreting the object as an instance of 'EObject To Changes Map Entry'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject To Changes Map Entry'.
  See Also:
    `doSwitch(EObject)`

### caseFeatureChange

    public T caseFeatureChange(FeatureChange object)

  Returns the result of interpreting the object as an instance of 'Feature Change'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Feature Change'.
  See Also:
    `doSwitch(EObject)`

### caseListChange

    public T caseListChange(ListChange object)

  Returns the result of interpreting the object as an instance of 'List Change'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'List Change'.
  See Also:
    `doSwitch(EObject)`

### caseResourceChange

    public T caseResourceChange(ResourceChange object)

  Returns the result of interpreting the object as an instance of 'Resource Change'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Resource Change'.
  See Also:
    `doSwitch(EObject)`

### caseFeatureMapEntry

    public T caseFeatureMapEntry(FeatureMapEntry object)

  Returns the result of interpreting the object as an instance of 'Feature Map Entry'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Feature Map Entry'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.